using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace prviZadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, k;
            string[] s = Console.ReadLine().Split();

            n = int.Parse(s[0]);
            k = int.Parse(s[1]);

            int[] p = new int[n];

            int indeks = -1;
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                p[i] = int.Parse(s[i]);
                if (p[i] == k)
                {
                    indeks = i;
                }
            }

            if (indeks == n - 1)
            {
                Console.WriteLine(p[0]);
            }
            else
            {
                Console.WriteLine(p[indeks + 1]);
            }
        }
    }
}